Commit 779d76c7 authored by anonym's avatar anonym
Browse files

Merge remote-tracking branch 'origin/testing' into test/5472-shutdown-on-boot-medium-removal

parents bf5f92b3 a25a7daa
......@@ -7,7 +7,7 @@ Pin: release o=Debian,a=unstable
Pin-Priority: 999
Package: electrum
Pin: release o=Debian Backports,n=jessie-backports
Pin: release o=Debian,n=stretch
Pin-Priority: 999
Package: firmware-amd-graphics
......@@ -139,7 +139,7 @@ Pin: release o=TorProject,n=obfs4proxy
Pin-Priority: 990
Package: python-electrum
Pin: release o=Debian Backports,n=jessie-backports
Pin: release o=Debian,n=stretch
Pin-Priority: 999
Package: ttdnsd
......@@ -150,6 +150,10 @@ Package: torsocks
Pin: release o=Debian Backports,n=jessie-backports
Pin-Priority: 999
Package: xserver-xorg-video-intel
Pin: release o=Debian Backports,n=jessie-backports
Pin-Priority: 999
Package: xul-ext-torbirdy
Pin: release o=Debian Backports,n=jessie-backports
Pin-Priority: 999
......@@ -167,6 +171,10 @@ Package: *
Pin: release o=Debian,n=jessie-updates
Pin-Priority: 990
Package: *
Pin: release o=Debian,n=jessie-proposed-updates
Pin-Priority: 990
Package: *
Pin: release o=Debian,n=jessie
Pin-Priority: 990
......
......@@ -22,7 +22,7 @@ BROWSER_LOCALIZATION_DIR="/usr/share/tails/browser-localization"
DESCRIPTIONS_FILE="${BROWSER_LOCALIZATION_DIR}/descriptions"
BRANDING_TEMPLATE_FILE="${BROWSER_LOCALIZATION_DIR}/amnesia.properties-template"
BRANDING_DIR="/usr/local/share/tor-browser-extensions/branding@amnesia.boum.org/"
NO_SPELLCHECKER_LOCALES="ko nl pl tr zh"
NO_SPELLCHECKER_LOCALES="ja ko nl pl tr zh"
apt-get --yes install imagemagick
......
......@@ -52,6 +52,7 @@ sed -i 's|^.*\(wrapper\.java\.additional\.6=-Djava\.net\.preferIPv6Addresses=\).
# * In-I2P Network Updates: Disabled
# * Inbound connections: Disabled (setting is "i2cp.ntcp.autoip")
# * Disable I2P plugins
# * Disable NTP
cat > "$I2P/router.config" << EOF
# NOTE: This I2P config file must use UTF-8 encoding
i2cp.disableInterface=true
......@@ -61,6 +62,7 @@ i2np.udp.ipv6=false
router.isHidden=true
router.updateDisabled=true
router.enablePlugins=false
time.disabled=true
EOF
cat > "$I2P/susimail.config" << EOF
......
#!/bin/sh
set -eu
echo "Configuring file associations"
defaults_file=/etc/gnome/defaults.list
if grep -E '^application/pgp-keys=' "$defaults_file"; then
echo "application/pgp-keys is already configured in $defaults_file" >&2
exit 1
else
# XXX: Stretch -- this fixes Tails#10571, unreproducible on non-Tails sid
echo 'application/pgp-keys=seahorse-pgp-keys.desktop' \
>> "$defaults_file"
fi
......@@ -8,7 +8,7 @@ type=802-3-ethernet
timestamp=1395406011
[ipv6]
method=auto
method=ignore
[ipv4]
method=auto
# XXX: Stretch -- the seahorse associations in here fix:
# - https://bugs.freedesktop.org/show_bug.cgi?id=93656
# - Tails#10889
# - Tails#10571
# - Tails#10943
[Default Applications]
application/pgp-encrypted=seahorse-pgp-encrypted.desktop
application/pgp-keys=seahorse-pgp-keys.desktop
application/pgp-signature=seahorse-pgp-signature.desktop
application/x-iwork-keynote-sffkey=seahorse-pgp-keys.desktop
x-scheme-handler/mailto=icedove.desktop
[Added Associations]
x-scheme-handler/mailto=icedove.desktop;
application/pgp-encrypted=seahorse-pgp-encrypted.desktop
application/pgp-keys=seahorse-pgp-keys.desktop
application/pgp-signature=seahorse-pgp-signature.desktop
application/x-iwork-keynote-sffkey=seahorse-pgp-keys.desktop
x-scheme-handler/mailto=icedove.desktop
......@@ -97,3 +97,14 @@ pref("browser.search.geoSpecificDefaults", false);
// Without setting this, the Download Management page will not update
// the progress being made.
pref("browser.download.panel.shown", true);
// Given our AppArmor sandboxing, Tor Browser will not be allowed to
// open external applications, so let's not offer the option to the user,
// and instead only propose them to save downloaded files.
pref("browser.download.forbid_open_with", true);
// The window resizing feature in Tor Browser 5.5a6 is a bit crazy,
// causing frequent resizing of the window at inconvenient times. In
// the automated test suite this results in misclicks because some
// targets move (due to this window resizing) suddenly.
pref("extensions.torbutton.resize_windows", false);
[Service]
# XXX:Stretch: on Jessie, AppArmorProfile=system_i2p is a no-op, since
# AppArmor support was enabled in Debian's systemd 218-4 (#10925).
ExecStart=
ExecStart=/usr/sbin/aa-exec --profile=system_i2p -- /usr/sbin/wrapper "$I2P_ARGS"
......@@ -26,5 +26,6 @@ ExecStartPre=/bin/sh -c \
ExecStart=/bin/sh -c \
'if [ "${TAILS_NETCONF}" != "disabled" ] ; then \
/bin/rm -f /etc/modprobe.d/all-net-blacklist.conf ; \
/bin/touch /etc/modprobe.d ; \
/bin/sync ; \
fi'
......@@ -11,9 +11,14 @@ systemctl start tails-unblock-network.service
# blacklist file) and udevadm trigger, possibly caused by yet another aufs
# weirdness (#9012)...
echo "Sleeping..." >&2
sleep 2
sleep 5
echo "slept." >&2
# XXX: add debugging information for #9012 to the Journal
ls /etc/modprobe.d
/sbin/lsmod
ls -l /sys/class/net
# Now we'll load any present network device previously blocked by
# the blacklist. In particular, the MAC spoofing udev rule should trigger
# for each network device added.
......@@ -30,6 +35,10 @@ echo "Restarting systemd-udev-settle.service..." >&2
systemctl restart systemd-udev-settle.service
echo "systemd-udev-settle.service restarted." >&2
# XXX: add debugging information for #9012 to the Journal
/sbin/lsmod
ls -l /sys/class/net
# Enable and start NetworkManager services
# No need to manually enable NetworkManager-dispatcher.service,
# as NetworkManager.service has "Also=NetworkManager-dispatcher.service"
......
......@@ -36,7 +36,7 @@ startup_failure() {
"`gettext \"Something went wrong when I2P was starting. Check the logs in /var/log/i2p for more information.\"`"
service i2p dump # generate a thread dump
sleep 5 # Give thread dump ample time to complete
service i2p stop # clean up, just in case
systemctl stop i2p # clean up, just in case
exit 1
}
......@@ -77,14 +77,14 @@ case "${1}" in
start|restart)
# Stop I2P before setting the router console language in case
# it pushes any updated options on quit.
if service i2p status; then
service i2p stop
if systemctl --quiet is-active i2p; then
systemctl stop i2p
fi
# Get LANG, since we may run this from an environment that
# doesn't have it set.
. /etc/default/locale
set_best_i2p_router_console_lang
service i2p start
systemctl start i2p
wait_until_i2p_router_console_is_ready || startup_failure
notify_router_console_success
wait_until_i2p_has_bootstrapped || bootstrap_failure
......@@ -92,7 +92,7 @@ case "${1}" in
notify_bootstrap_success
;;
stop)
exec service i2p stop
exec systemctl stop i2p
;;
*)
echo "invalid argument '${1}'" >&2
......
......@@ -5,6 +5,7 @@ en-US:US:English:english:english
fa:IR:فارسی:persian:
fr:FR:Français:francais:francais
it:IT:Italiano:italiano:italiano
ja:JP:日本語:nihongo:nihongo
ko:KR:한국어:hangul:hangul
nl:NL:Nederlands:nederlands:nederlands
pl:PL:Polski:polski:polski
......
http://torbrowser-archive.tails.boum.org/5.0.6/
http://torbrowser-archive.tails.boum.org/5.5a6/
935f0b1ccda7752b05101ca05304e0e0932d7f420e75949b329e148254149ef1 tor-browser-linux32-5.0.6_ar.tar.xz
a9939b9f23c1246408173924432dc7ad19815659c4f30b34d4dcc6d15fc98b0d tor-browser-linux32-5.0.6_de.tar.xz
d06b0a05a5491a7a519ffacf7c775bcce36f61ab26262915d13dc8de4372b5e0 tor-browser-linux32-5.0.6_en-US.tar.xz
1f282b088b959faf7b9af06ca101ac2aed206bb0d554f1a0442c56bf9295711f tor-browser-linux32-5.0.6_es-ES.tar.xz
1533301f5c9b87becbae09c709671f56a078ea17a0e81c6e00b737d5ec9542c0 tor-browser-linux32-5.0.6_fa.tar.xz
00b86427270b81990fa849205c8b78ca0b4bc257d2b48b76d4abc6e53b42ae00 tor-browser-linux32-5.0.6_fr.tar.xz
31fcba4c8d3224f74db282350aa5663683bd0b1e93be4cced46bc2bcba15ef97 tor-browser-linux32-5.0.6_it.tar.xz
ec5448c96b2dd6e5ee489f910473cbf42580bffdc6711bbbcc7caa21ba4a5410 tor-browser-linux32-5.0.6_ko.tar.xz
03927f9cb12a8aeb25aaa74e7285bb3c587ade3250c7b9e11e4dd7d56374024c tor-browser-linux32-5.0.6_nl.tar.xz
980bb8414285acb49aedcc50471478742e8eb842b94f7009344d4a23abd04021 tor-browser-linux32-5.0.6_pl.tar.xz
8d5e6bf621be343ca7fd097e6b0dcd5669d206c7820baca3803639cd22061abb tor-browser-linux32-5.0.6_pt-PT.tar.xz
8bdec5227204f7dcbcc8312d80090f1524e0e33b51fbdac3f2eb30ae47397071 tor-browser-linux32-5.0.6_ru.tar.xz
60162e0ec72e4d2b93b727f064b55d11d24d1fc3afc429a6b11bf37cc4459c85 tor-browser-linux32-5.0.6_tr.tar.xz
39e7a0e2281a9277d7a65303b1c60589bae58cd268276cefd247ed879781346f tor-browser-linux32-5.0.6_vi.tar.xz
ceb2366a13eb3916efdfda883d12762e9c7f6caeba41f05078730f132c6efa16 tor-browser-linux32-5.0.6_zh-CN.tar.xz
2a612c7a91de872066e7bd1d4204b66265012afc7bce5c4f856f7a77f63f8ba8 tor-browser-linux32-5.5a6_ar.tar.xz
cbb49fccf9e239fe056ed6611611d008884371ba04cdaf499b6716bd4cdf0209 tor-browser-linux32-5.5a6_de.tar.xz
2857b70baa0e352b2635884eac1db511cc5845cff7a948bbd6661695740f2891 tor-browser-linux32-5.5a6_en-US.tar.xz
3d01f8d773e1cb4b8db3f84237f40e72b416bce6fa8646cdc3d0e29a82b1139f tor-browser-linux32-5.5a6_es-ES.tar.xz
26111f86af08f3b880d9e96a85099be8e327b8064ce89be64a544750abe59ae5 tor-browser-linux32-5.5a6_fa.tar.xz
fc8e85d61eb6edc6d4d9c3f792aed63486a0ce8aa1057cc32fa922d702292e05 tor-browser-linux32-5.5a6_fr.tar.xz
9a82456217a931cecd08140bd8bd1194d8a2542b5ae7af02f806bf665a02af34 tor-browser-linux32-5.5a6_it.tar.xz
9a7c9458639d3007bdcd07335bc352bf7dc30df89811abda4f36e0346a7da414 tor-browser-linux32-5.5a6_ja.tar.xz
ba6f72bc1ae62952df79d0b5c3f9399ef569a873adc490f8f975ac1d3125e856 tor-browser-linux32-5.5a6_ko.tar.xz
14a640820926f34ee6094158c9d47805e4e00f22e961b20d8b6568d161570207 tor-browser-linux32-5.5a6_nl.tar.xz
c1cee5d88e44ae63f83fde0eaf82f00f2b5bc2b1df5ad40b37c6dc204d8bbc61 tor-browser-linux32-5.5a6_pl.tar.xz
9bc418a533d7ebf3dda6d7c7455b405d28f6fc85cdc96d6b457421dbadd4810f tor-browser-linux32-5.5a6_pt-PT.tar.xz
80cb6af26a502cffcf2f700fb970357332de9ed777cc48073a8fba045d1f57c0 tor-browser-linux32-5.5a6_ru.tar.xz
cb8677b6bb9cfdf84c1b468ae1fe20385af0cb49b9d2b66928041abd99b469a0 tor-browser-linux32-5.5a6_tr.tar.xz
a2c08efebe45af2adc28048825c51ecea2027d9177223ed8b89d794f863ac37e tor-browser-linux32-5.5a6_vi.tar.xz
6848428bd1a91452f251475746372a1765a82ce49e8a1c21c10159037ce6e28b tor-browser-linux32-5.5a6_zh-CN.tar.xz
......@@ -96,7 +96,7 @@
/etc/mailcap r,
/etc/mime.types r,
@@ -74,6 +87,31 @@
@@ -74,6 +87,30 @@
/sys/devices/pci[0-9]*/**/uevent r,
owner /{dev,run}/shm/shmfd-* rw,
......@@ -108,7 +108,6 @@
+ deny /usr/bin/pulseaudio x,
+
+ /usr/local/lib/tor-browser/firefox Pix,
+ /usr/bin/seahorse-tool Ux,
+
+ # Grant access to assistive technologies
+ # (otherwise, Firefox crashes when Orca is enabled:
......@@ -128,7 +127,7 @@
# KDE 4
owner @{HOME}/.kde/share/config/* r,
@@ -81,5 +119,10 @@
@@ -81,5 +118,10 @@
/etc/xfce4/defaults.list r,
/usr/share/xfce4/applications/ r,
......
......@@ -71,6 +71,7 @@ rsync
bash-completion
bookletimposer
connect-proxy
cracklib-runtime
desktop-base
dmz-cursor-theme
dosfstools
......@@ -395,3 +396,6 @@ xdotool
i2p
# Prevent java 6 from being installed
openjdk-7-jre
# Enable Electrum's Qt GUI
python-qt4
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment